<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Administrador de Visitas</strong>
    </div>

    <div class="contSecc">

      <v-btn color="primary" dark @click="showDialog"><v-icon color ='black' style="paddingLeft: 15px" small left>mdi-plus</v-icon><strong>Nueva visita</strong></v-btn>

      <calendar-asigna-nuevas
      ></calendar-asigna-nuevas>
    
      <dialog-asignacion ref="dialogAsingacionRef"
      >
      </dialog-asignacion>
      
      <simbologias></simbologias>

    </div>

     
  
    
  </div>
</template>
<style scoped></style>
<script>
import CalendarAsignaNuevas from '@/views/secure/infraestructura/components/CalendarAsignaNuevas'
import DialogAsignacion from "@/views/secure/infraestructura/asignaciones/DialogAsignacion";
import Simbologias from '@/views/secure/infraestructura/components/Simbologias';
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
export default {
  components : {
    CalendarAsignaNuevas,
    DialogAsignacion,
    Simbologias
  },
  data() {
    return {
      metadata: {
        tiposRecorrido: [],
        cecos: [],
        usuarios: []
      },
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home"
          }
        },
        {
          text: "Infraestructura",
          disabled: false,
          exact: true,
          to: {
            name: "home"
          }
        },
        {
          text: "Asignación de Visita",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia_info_recorridos"
          }
        }
      ]
    };
  },
  methods: {
    showDialog() {
      this.$refs.dialogAsingacionRef.showDialog();
    }
  },
  created() {}
};
</script>
